%define module Term-ReadLine-Gnu
Name: perl-%module
Version: 1.14
Release: alt3

Summary: Perl interface to the GNU Readline library
Group: Development/Perl
License: GPL or Artistic

Url: http://search.cpan.org/dist/%module/
Source0: %module-%version.tar.bz2
Source1: perl-5.8.1-Term-ReadLine.pm

Patch0: %name-1.14-alt-terminfo.patch
Patch1: %name-1.14-alt-no-static.patch
Patch2: %name-1.14-alt-syntax.patch
Patch3: %name-1.14-alt-findConsole.patch

# Automatically added by buildreq on Fri Jun 13 2003
BuildRequires: libreadline-devel libtinfo-devel perl-devel

# package renamed
Provides:  perl-Term-Readline-Gnu = %version
Obsoletes: perl-Term-Readline-Gnu

# Term/ReadLine.pm moved here from perl bundle
Requires: perl-base >= 1:5.8.1

%description
Term::ReadLine::Gnu is an implementation of the interface to the GNU
Readline library.  This module gives you input line editing facility,
input history management facility, word completion facility, etc.

%prep
%setup -q -n %module-%version
%__install -p -m644 %SOURCE1 ReadLine.pm
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3

%build
%__ln_s . Term
: this test uses Tk and produces extra deps
%__rm -fv t/callback.t
%perl_fix_local Gnu/*.pm eg/*
%perl_vendor_build

%install
%__mv blib/lib/Term/{ReadLine/,}ReadLine.pm
%__mv blib/man3/Term::{ReadLine::,}ReadLine.3
%perl_vendor_install
%__mkdir_p	%buildroot{%perl_vendor_archlib,%perl_vendor_privlib}/Term
%__mv		%buildroot{%perl_vendor_archlib,%perl_vendor_privlib}/Term/ReadLine.pm

%files
%doc README eg
%perl_vendor_privlib/Term
%perl_vendor_archlib/Term
%perl_vendor_autolib/Term
%perl_vendor_man3dir/*

%changelog
* Fri Jul 04 2003 Alexey Tourbin <at@altlinux.ru> 1.14-alt3
- findConsole.patch: fixed /dev/tty stuff a bit

* Fri Jun 13 2003 Alexey Tourbin <at@altlinux.ru> 1.14-alt2
- package renamed: s/Readline/ReadLine/
- fixed tinfo build
- Term/ReadLine.pm moved here from perl bundle (5.8.1)
- no-static.patch: don't look for .a libraries
- syntax.patch: make Gnu/XS.pm pass syntax check

* Tue Mar 25 2003 Grigory Milev <week@altlinux.ru> 1.14-alt1
- new version released

* Tue Dec  3 2002 Grigory Milev <week@altlinux.ru> 1.13-alt2
- rebuild with tinfo

* Fri Nov 15 2002 Grigory Milev <week@altlinux.ru> 1.13-alt1
- rebuild with new perl
- new version released

* Wed Apr 10 2002 Grigory Milev <week@altlinux.ru> 1.12-alt1
- new version released

* Thu Jan 24 2002 Grigory Milev <week@altlinux.ru> 1.11-alt1
- new version released

* Tue Sep 25 2001 Grigory Milev <week@altlinux.ru> 1.10-alt1
- New version released.

* Tue Jul 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.09-ipl7mdk
- Specfile minor cleanup (corrected arch subdirs).
- Corrected summary.

* Mon Jun 25 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.09-ipl6mdk
- Rebuilt with perl-5.6.1
- Some spec cleanup

* Fri Jun 19 2001 Grigory Milev <week@altlinux.ru> 1.09-ipl5mdk
- Spec rewritten for compatibility with new policy.

* Sun Feb 4 2001 AEN <aen@logic.ru>
- RE adaptation
- path patch

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.09-3mdk
- build release.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.09-2mdk
- macroszifications.
- add doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 1.09-1mdk
- 1.09.
- removed patch for compilation with perl 5.6.0.

* Mon Apr 04 2000 Franois Pons <fpons@mandrakesoft.com> 1.08-2mdk
- added patch for compilation with perl 5.6.0.
- updated spec file and Group.

* Tue Jan  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First package needed for perl-debug.

